
  <div class="mb-5 border-2 border-gray-100 shadow-lg p-5 pb-8">
    <form [formGroup]="catForm">
    <p class="text-3xl">Gérer les categories</p>

    <p class="text-lg text-gray-500">Créer une nouvelle categorie</p>
    <div class="mb-6 w-full">
      <div class="flex flex-col ml-2 mb-5">
        <input
          formControlName="name"
          type="text"
          id="large-input"
          placeholder="Un super titre..."
          class="block mt-3 p-2 w-1/3 text-gray-900 border border-gray-300 rounded-lg bg-gray-50 sm:text-md focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
        />
        <textarea
          formControlName="description"
          id="message"
          rows="4"
          class="block p-2.5 mt-2 w-1/3 text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
          placeholder="Description..."
        ></textarea>
        <button
          (click)="createCategory()"
          type="button"
          class="text-white mt-3 w-40 disabled:opacity-25 bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-base px-2 py-2 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
        >
          Ajouter
        </button>
      </div>
      <p class="text-lg text-gray-500">Liste des catégories</p>

      <div class="flex space-x-2 space-y-2 mt-3 flex-wrap">
        <div
          *ngFor="let cat of categories"
          class="block p-6 w-24 min-w-[25%] max-w-sm ml-2 bg-white rounded-lg border border-gray-200 shadow-md hover:bg-gray-100 dark:bg-gray-800 dark:border-gray-700 dark:hover:bg-gray-700"
        >
          <mat-icon color="red" class="-mt-10 mr-0 text-red-600 hover:scale-125 cursor-pointer" (click)="deleteCategory(cat.id)"
            >delete</mat-icon
          >
          <p
            class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white"
          >
            {{ cat.name }}
          </p>
          <p class="font-normal text-gray-700 dark:text-gray-400">
            {{ cat.description }}
          </p>
        </div>

      </div>
   
    </div>
    </form>
  </div>

